Bug 1028596 - man page needs entry for new repo-override module and all of its options
man page needs entry for new repo-override module and all of its options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-11-08 15:18 EST by John Sefler
Modified: 2014-06-17 20:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:51:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-11-08 15:18:46 EST
Description of problem:
A new subscription-manager module called "repos-override" has been implemented.  We need a new entry in the subscription-manager man page that presents this module and all of it options.


[root@jsefler-7 ~]# subscription-manager --help | grep repo-override
  repo-override  Manage custom content repository settings


[root@jsefler-7 ~]# subscription-manager repo-override --help
Usage: subscription-manager repo-override [OPTIONS]

Manage custom content repository settings

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy URL in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for HTTP proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for HTTP proxy with basic authentication
  --repo=REPOID         repository to modify (can be specified more than once)
  --remove=NAME         name of the override to remove (can be specified more
                        than once)
  --add=NAME:VALUE      name and value of the option to override separated by
                        a colon (can be specified more than once)
  --remove-all          remove all overrides; can be specific to a repository
                        by providing --repo
  --list                list all overrides; can be specific to a repository by
                        providing --repo
[root@jsefler-7 ~]# 


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.6-1.git.33.4c96057.el7.x86_64
[root@jsefler-7 ~]# man -P cat subscription-manager | tail -1
version 2.7                 May 23, 2013    subscription-manager(8)


How reproducible:


Steps to Reproduce:
1. man subscription-manager
Comment 2 Bryan Kearney 2014-01-30 12:34:40 EST
commit 1162f99c0de1d0d229b1f506b58689eca180fb0f
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Wed Jan 29 14:13:58 2014 -0500

    1028596: Add the repo-override command to the subscription-manager man page
Comment 4 Rehana 2014-02-06 03:11:23 EST
New module "repo-override" is now added to man page of subscription-manager
in the following sections

1.repo-override is added in the command and option section

COMMANDS AND OPTIONS
subscription-manager has specific options available for each command,depending on what operation is being performed. Subscription  Manager commands are related to the different subscription operations:

              1. register

              2. unregister
              <snip>
              .        
              . 
              . 
              . 
              . 
	      <snip>
              20. version

              21. status

              22. deprecated commands: subscribe, unsubscribe, and activate

              23. repo-override  --->>> ADDED

2. 

 REPO-OVERRIDE OPTIONS
       The repo-override command allows the user to manage custom content repository settings

       --repo The repository to modify (can be specified more than once)

       --add=NAME:VALUE
              Adds a named overide with the provided value to repos specified  
              with the --repo option

       --remove=NAME
              Removes a named overide from the repos specified with the --repo
              option

       --remove-alll
              Removes all overrides from repos specified with the --repo option

       --list Lists all overrides from repos specified with the --repo option


Hence, moving the bug to Verified

verified on,

subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: 0.9.2-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7

man -P cat subscription-manager | tail -1
version 2.8  January 29, 2014  subscription-manager(8)
Comment 5 Ludek Smid 2014-06-13 07:51:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.